package net.phoenixinquis.minecraft.surfaceworld;

import net.minecraft.world.WorldProvider;
import net.minecraft.world.biome.BiomeGenBase;
import net.minecraft.world.biome.WorldChunkManagerHell;
import net.minecraft.world.chunk.IChunkProvider;

public class WorldProviderSurfaceWorld extends WorldProvider {

	@Override
	public String getDimensionName() {
		return "SurfaceWorld";
	}

	public void registerWorldChunkManager() {
		this.worldChunkMgr = new WorldChunkManagerHell(BiomeGenBase.taigaHills, 0.2F, 0.1F);
		this.dimensionId = SurfaceWorld.dimensionId;
	}
	
	public IChunkProvider createChunkGenerator() {
		return new ChunkProviderSurfaceWorld(worldObj, worldObj.getSeed(), true);
	}
}
